import * as grid from '../index';
import {expect} from "chai";
import 'mocha';

describe('grid init', () => {
    it('should return series array', () => {
        const result = grid.init({
            fields: ["t1", "t2"],
            columns: {
                fields: ["t1"],
                type: "dimension"
            },
            rows: {
                fields: ["t2"],
                type: "dimension"
            },
            dataset: [
                [12, "def"],
                [24, "abc"]
            ],
            headerWidth: 80,
            headerHeight: 30,
            cellWidth: 80,
            cellHeight: 30,
            canvasWidth: 1024,
            canvasHeight: 768,
            seriesOptions: {}
        });
        // expect(result.series[0].data[0]).to.eq(12);
    });
});
